
QGIS Application - Bug report #9379

QGIS crash when opening certain WFS projects

2014-01-20 04:36 AM - Jacob Madsen

Status: Closed

Priority: High

Assignee: Jürgen Fischer

Category: Web Services clients/WFS

Affected QGIS version:2.0.1 Regression?: No

Operating System: Windows 32-bit Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 17979

Description

Attached file was created on QGIS 2.0.1 64-bit. When it's opened in QGIS 2.0.1 32-bit, QGIS crashes with a minidump after entering the

credentials (I'll supply these on e-mail).

Associated revisions

Revision 7c4c7e89 - 2014-02-17 09:05 PM - Jürgen Fischer

network authentication: don't crash if a network request is closed while the credentials dialog is open (fixes #9379)

History

#1 - 2014-02-11 04:18 AM - Jacob Madsen

Could I get some feedback on this issue please?

#2 - 2014-02-11 04:20 AM - Jacob Madsen

Reproduces still in latest master

#3 - 2014-02-11 08:09 PM - Martin Dobias

If you create the same project with WFS layers in QGIS 32-bit, will it crash when reopened in QGIS 32-bit?

#4 - 2014-02-12 08:48 AM - Jürgen Fischer

- Status changed from Open to Feedback

probably also fixed in commit:8d7e61abd (Qt 4.7 apparently crashed when the end guard is used in iterator find).  Please verify that this doesn't happen

anymore.

#5 - 2014-02-13 04:20 AM - Jacob Madsen

Sorry, but I can still reproduce this with build commit:57dd877. I create a WFS-project in QGIS x64, and when opening the same project in the same build

of the 32-bit version of QGIS, it crashes after logging in.
#6 - 2014-02-13 04:40 AM - Jürgen Fischer

- Assignee changed from Marco Hugentobler to Jürgen Fischer

#7 - 2014-02-13 04:43 AM - Jacob Madsen

- File debug.zip added

- Assignee changed from Jürgen Fischer to Marco Hugentobler

I have uploaded 2 sample projects for this issue. The projects contain the exact same WFS references. One is created with commit:57dd877 64-bit, the

other is created with the same build 32-bit. If I open the project created with the 64-bit version on the 32-bit version, it crashes after entering credentials.

The project created on the 32-bit version works fine with another QGIS 32-bit version. Please figure out, what exactly the difference between these 2

project files is.

#8 - 2014-02-13 04:44 AM - Jürgen Fischer

- Assignee changed from Marco Hugentobler to Jürgen Fischer

#9 - 2014-02-13 04:49 AM - Jacob Madsen

Sent to your email, Jürgen. Thanks in advance.

#10 - 2014-02-13 06:22 AM - Jürgen Fischer

Jacob Madsen wrote:

I have uploaded 2 sample projects for this issue. The projects contain the exact same WFS references. One is created with commit:57dd877 64-bit,

the other is created with the same build 32-bit. If I open the project created with the 64-bit version on the 32-bit version, it crashes after entering

credentials. The project created on the 32-bit version works fine with another QGIS 32-bit version. Please figure out, what exactly the difference

between these 2 project files is.

Hm, I don't see any significant differences: just the project extent, the symbol colors and the layer ids are different.

But there's no crash here.  I tried both projects with a fresh 32bit build, 32bit osgeo4w build of last night (commit:57dd877 / 2.1.0-121), a fresh 64bit build

and 2.0.1 from osgeo4w 32bit and 64bit.

Might this be caused by a plugin you use?

#11 - 2014-02-13 08:03 AM - Jacob Madsen

No, it reproduced at will earlier today on completely fresh installs. The server is Geoserver 2.4.3, and the data comes from an Oracle database.

Since I can't reproduce the error any longer (of course), I suspect some kind of invalid response from the server to be the real culprit. Can an invalid

response from the server somehow cause issues like this? I've struggled with various JDBC driver issues on the server, and today I've tried to install the

latest 11.2 JDBC driver to see, if that solves the issue.

Will the minidump files itself be of any use to you?

#12 - 2014-02-13 10:25 AM - Jürgen Fischer
Jacob Madsen wrote:

No, it reproduced at will earlier today on completely fresh installs. The server is Geoserver 2.4.3, and the data comes from an Oracle database.

Since I can't reproduce the error any longer (of course), I suspect some kind of invalid response from the server to be the real culprit. Can an invalid

response from the server somehow cause issues like this? I've struggled with various JDBC driver issues on the server, and today I've tried to

install the latest 11.2 JDBC driver to see, if that solves the issue.

I suppose everything really unexpected can.

Will the minidump files itself be of any use to you?

Yes, if it's from a recent build.

#13 - 2014-02-14 01:26 AM - Jacob Madsen

Here is a minidump file generated by yesterday's crash (which I could no reproduce later). I really hope you can use it for something.

#14 - 2014-02-14 01:29 AM - Jacob Madsen

I was unable to upload the minidump here (file too large apparently), so I've sent it to your email using WeTransfer. Hope that's OK. Minidump generated

on Windows XP with build 57dd877 32-bit.

#15 - 2014-02-14 08:34 AM - Jürgen Fischer

Jacob Madsen wrote:

I was unable to upload the minidump here (file too large apparently), so I've sent it to your email using WeTransfer. Hope that's OK. Minidump

generated on Windows XP with build 57dd877 32-bit.

Unfortunately it doesn't sched much light on the problem.  It crashes while QtNetwork does a realloc.  No idea if it how much memory it requested or if that

heap is already corrupted at that point - the stacktrace doesn't show any actual qgis frames.

#16 - 2014-02-16 04:46 AM - Jacob Madsen

What more can I do to assist you in fixing this issue? All I can say at this point is, that I've seen this problem on many different systems. You see - I

distribute QGIS projects to various customers to give them access to their spatial data through Geoserver. Many customers experienced QGIS crashing

right after opening the project - just as I've described here. I really hope, that some kind of solution to this issue will make it into 2.2.

#17 - 2014-02-16 05:45 AM - Jürgen Fischer

Jacob Madsen wrote:

What more can I do to assist you in fixing this issue? All I can say at this point is, that I've seen this problem on many different systems. You see - I
distribute QGIS projects to various customers to give them access to their spatial data through Geoserver. Many customers experienced QGIS

crashing right after opening the project - just as I've described here. I really hope, that some kind of solution to this issue will make it into 2.2.

You can't reproduce the problem, can you?   The minidump would have been useful to verify that what cause the crash was meanwhile fixed.  So we don't

know if there still is a problem, right?

#18 - 2014-02-17 05:09 AM - Jacob Madsen

What do you mean? The problem was reproduced, but apparently it's intermediary. That I can't reproduce it now doesn't mean, that it won't happen again,

as I don't know the cause of it other than it's some network issue.

So what you're saying is, that there is nothing you can do about this to avoid this crash? I can't give you anything else than this. I had so much hoped to

have this issue fixed for 2.2....

#19 - 2014-02-17 07:04 AM - Jacob Madsen

Issue just occurred again today, still latest build. Minidump sent on WeTransfer.

#20 - 2014-02-17 09:42 AM - Jürgen Fischer

Jacob Madsen wrote:

What do you mean? The problem was reproduced, but apparently it's intermediary. That I can't reproduce it now doesn't mean, that it won't happen

again, as I don't know the cause of it other than it's some network issue.

Well, then i misunderstood.   I thought the problem was gone after both master and your service were changed.

Could it be that the crash only happens, when the login window stays on a while (ie. the request meanwhile timesout)?

#21 - 2014-02-17 12:10 PM - Jürgen Fischer

- Status changed from Feedback to Closed

Fixed in changeset commit:"7c4c7e897e145eb38ea90be1bf8989e09bec698c".

Files

tølløse.qgs 110 KB 2014-01-20 Jacob Madsen

debug.zip 9.84 KB 2014-02-13 Jacob Madsen
